GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb-gdb.StructMainTypePrettyPrinter Class Reference

## Public Member Functions
def | __init__ (self, val)
def | flags_to_string (self)
def | owner_to_string (self)
def | struct_field_location_img (self, field_val)
def | struct_field_img (self, fieldno)
def | bounds_img (self)
def | type_specific_img (self)
def | to_string (self)

## Public Attributes
| val

## Detailed Description

    Pretty-print an objet of type main_type

Definition at line 110 of file gdb-gdb.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def gdb-gdb.StructMainTypePrettyPrinter.__init__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 112 of file gdb-gdb.py.

## Member Function Documentation

## ◆ bounds_img()

def gdb-gdb.StructMainTypePrettyPrinter.bounds_img | ( |  | self | ) |

    Return an image of the main_type bounds.

Definition at line 167 of file gdb-gdb.py.

References gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb-gdb.StructTypePrettyPrinter.val, gdb-gdb.StructMainTypePrettyPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.to_string().

## ◆ flags_to_string()

def gdb-gdb.StructMainTypePrettyPrinter.flags_to_string | ( |  | self | ) |

    struct main_type contains a series of components that
    are one-bit ints whose name start with "flag_".  For instance:
    flag_unsigned, flag_stub, etc.  In essence, these components are
    really boolean flags, and this method prints a short synthetic
    version of the value of all these flags.  For instance, if
    flag_unsigned and flag_static are the only components set to 1,
    this function will return "unsigned|static".

Definition at line 114 of file gdb-gdb.py.

References gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb-gdb.StructTypePrettyPrinter.val, gdb-gdb.StructMainTypePrettyPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.to_string().

## ◆ owner_to_string()

def gdb-gdb.StructMainTypePrettyPrinter.owner_to_string | ( |  | self | ) |

    Return an image of component "owner".

Definition at line 128 of file gdb-gdb.py.

References gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb-gdb.StructTypePrettyPrinter.val, gdb-gdb.StructMainTypePrettyPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.to_string().

## ◆ struct_field_img()

def gdb-gdb.StructMainTypePrettyPrinter.struct_field_img | ( |  | self,
|  |  | fieldno
| ) |  |

    Return an image of the main_type field number FIELDNO.

Definition at line 153 of file gdb-gdb.py.

References gdb-gdb.StructMainTypePrettyPrinter.struct_field_location_img(), gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb-gdb.StructTypePrettyPrinter.val, gdb-gdb.StructMainTypePrettyPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.to_string().

## ◆ struct_field_location_img()

def gdb-gdb.StructMainTypePrettyPrinter.struct_field_location_img | ( |  | self,
|  |  | field_val
| ) |  |

    Return an image of the loc component inside the given field
    gdb.Value.

Definition at line 135 of file gdb-gdb.py.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.struct_field_img().

## ◆ to_string()

def gdb-gdb.StructMainTypePrettyPrinter.to_string | ( |  | self | ) |

    Return a pretty-printed image of our main_type.

Definition at line 205 of file gdb-gdb.py.

References gdb-gdb.StructMainTypePrettyPrinter.bounds_img(), gdb-gdb.StructMainTypePrettyPrinter.flags_to_string(), gdb-gdb.StructMainTypePrettyPrinter.owner_to_string(), gdb-gdb.StructMainTypePrettyPrinter.struct_field_img(), gdb-gdb.StructMainTypePrettyPrinter.type_specific_img(), gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb-gdb.StructTypePrettyPrinter.val, gdb-gdb.StructMainTypePrettyPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

## ◆ type_specific_img()

def gdb-gdb.StructMainTypePrettyPrinter.type_specific_img | ( |  | self | ) |

    Return a string image of the main_type type_specific union.
    Only the relevant component of that union is printed (based on
    the value of the type_specific_kind field.

Definition at line 178 of file gdb-gdb.py.

References gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb-gdb.StructTypePrettyPrinter.val, gdb-gdb.StructMainTypePrettyPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.to_string().

## Member Data Documentation

## ◆ val

gdb-gdb.StructMainTypePrettyPrinter.val

Definition at line 113 of file gdb-gdb.py.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.bounds_img(), gdb-gdb.StructMainTypePrettyPrinter.flags_to_string(), gdb-gdb.StructMainTypePrettyPrinter.owner_to_string(), gdb-gdb.StructMainTypePrettyPrinter.struct_field_img(), gdb-gdb.StructMainTypePrettyPrinter.to_string(), and gdb-gdb.StructMainTypePrettyPrinter.type_specific_img().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/gdb-gdb.py